Skip to main content
GET
/
recommendations
/
{recommendations_id}
Fetch Recommendation Metadata
curl --request GET \
  --url https://api-{dc}.moengage.com/v1/recommendations/{recommendations_id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'MOE-APPKEY: <moe-appkey>'
{ "id": "<string>", "db_name": "<string>", "recommendation_type": "<string>", "name": "<string>", "description": "<string>", "catalog": "<string>", "status": "<string>", "created_time": "2023-11-07T05:31:56Z", "updated_time": "2023-11-07T05:31:56Z", "all_user_actions": true, "include_filters": { "filters": [ { "executed": true, "filter_type": "product_filter", "operator_fe": "exists", "name": "product_id", "data_type": "string", "operator": "exists", "value": "<string>", "negate": true, "case_sensitive": true, "hasError": true } ], "filter_operator": "and" }, "exclude_filters": { "filters": [ { "executed": true, "filter_type": "product_filter", "operator_fe": "exists", "name": "product_id", "data_type": "string", "operator": "exists", "value": "<string>", "negate": true, "case_sensitive": true, "hasError": true } ], "filter_operator": "and" }, "custom_settings": { "item_filters": { "user_actions": {} } }, "sort": { "data_type": "double", "param_type": "product_attribute", "param": "price", "direction": "1" }, "trends": { "trend_type": "most_viewed", "duration_days": 7 } }

Rate Limit

You can fetch 1,000 recommendations per minute.

Authorizations

Authorization
string
header
required

The API request will be authenticated through Basic Authentication.

It encodes a 'username:password' string in Base64 and appends the encoded string with 'Basic '. This string is included in the Authorization header.

You can obtain the username and password details from the MoEngage Dashboard:

  1. Navigate to Settings > Account > APIs.
  2. Username: Under Workspace ID, copy your username.
  3. Password: In the API keys section, copy the API key from the Campaign report / Business events / Custom templates / Catalog API tile.

Headers

MOE-APPKEY
string
required

This is the workspace ID (earlier APP ID) of your MoEngage workspace. The MOE-APPKEY has to be passed in the request.

You can find your MoEngage Workspace ID in the MoEngage Dashboard: Settings > Account > APIs > Workspace ID (earlier app id)

Path Parameters

recommendations_id
string
required

This parameter indicates the unique identifier associated with the recommendation created in the recommendation module.

You can obtain the recommendation_id from the recommendation you created on the recommendation page.

Response

Indicates that the request is successful and a recommendation is fetched.

id
string

It is the unique recommendation ID.

db_name
string

This is your workspace name.

recommendation_type
string

It represents the type of recommendations from which the results will be fetched. The supported values are: user_action, item_attribute, similar_item, frequently_viewed_together, frequently_bought_together, trending_item, user_personalization.

name
string

This field represents the name of the recommendation for which you want to fetch the details.

description
string | null

This field describes the recommendation given at the time of its creation.

catalog
string

This is the unique identifier of the catalog assigned to the requested recommendation.

status
string

The recommendation's status indicates whether it is active or archived.

created_time
string<date-time>

This field shows the timestamp when a recommendation was created.

updated_time
string<date-time>

This field shows the timestamp when a recommendation setting was last modified.

all_user_actions
boolean | null

This key represents whether all user actions are being considered to find the most recently interacted item. If this is true, the most recently interacted ID from any of the user action set-ups will be considered to find the related items as per the recommendation type.

Note: This key is available with the similar_item, frequently_viewed_together, and frequently_bought_together recommendation types.

include_filters
object
exclude_filters
object
custom_settings
object

This key defines the customization applied to the recommendation results as per the recommendation setup. Currently, you can apply the user action and item attribute filters over recommendations.

sort
object

This key defines the sorting logic based on which recommendation results will be ordered. This object's value provides the attributes' details and sorting order.

Note: This key is available with the user_action and item_attribute recommendation types.

This key defines the trend type for trending_item recommendations and the duration of trend computation.

Note: This key is available with the trending_item recommendation type.

Example:
{
  "trend_type": "most_viewed",
  "duration_days": 7
}